from django.urls import reverse

from web.models import FlyingTeam
from web.tests import LoggedInTestCase


class FlyingTeamTests(LoggedInTestCase):
    def generate_more_or_less_random_name(self):
        import random
        letters = [chr(x) for x in range(97,122)]
        return 'Radom' + ''.join(random.choice(letters) for x in range(15))

    def test_flyingteam_requests(self):
        pages = [
            'web.views.equipment_and_rooms.flying_teams',
            'web.views.equipment_and_rooms.flying_teams_add',
        ]

        for page in pages:
            response = self.client.get(reverse(page))
            self.assertEqual(response.status_code, 200)

    def test_flyingteam_add(self):
        return
        """ # It supposedly doesn't work like this
        page = reverse('web.views.equipment_and_rooms.flying_teams_add')
        data = {
            'id_place': self.generate_more_or_less_random_name()
        }
        response = self.client.post(page, data)
        self.assertEqual(response.status_code, 200)

        freshly_created = FlyingTeam.objects.filter(place=data['id_place'])
        self.assertEqual(len(freshly_created), 1)
        freshly_created.delete()
        """
