# coding=utf-8
from django.shortcuts import redirect

from . import wrap_response


def equipment_def(request):
    equipment_list = Item.objects.order_by('-name')
    context = {
        'equipment_list': equipment_list
    }

    return wrap_response(request, "eqdef/index.html", context)


def equipment_and_rooms(request):
    return wrap_response(request, "equipment_and_rooms/index.html", {})
